Subject: Re: About git-bisect (defconfigs)

From: Randy Dunlap <[email-masked]>
Date: Wed, 03 Dec 2008 09:50:51 -0800

Francis Moreau wrote:
> On Wed, Dec 3, 2008 at 1:55 PM, Renato S. Yamane
> <[email-masked]> wrote:
>> Francis Moreau wrote:
>>> Linus Torvalds writes:
>>>> It takes me 16 seconds to compile my kernel (if it's all cached), and
>>>> that's largely because I do _not_ compile one of the crazy distro kernels
>>>> with thousands of totally irrelevant modules for my setup.
>>> an other reason is perhaps you're using a computer that most common
>>> mortal don't have ;)
>>>
>>> Care to share your network configuration ;) ?
>> Maybe a repository with .config files used by linux hard-users (as most
>> developers here) can be very interesting to a lot of people get a starter.
>>
> 
> Or perhaps just to keep 'make defconfig' uptodate with sane core values
> which should fit a desktop config ?
> 
> BTW does anybody what the status of the defconfig files on x86 ?

I looked at them about 1 week ago.  I know that Ingo or the x86 maintainers
team update them occasionally, but I'd like to see a few changes or some
questions answered:

1.  Disable CONFIG_TR.  Token ring is antiquated.  No reason to be in defconfig.

2.  There are several security-related config items that default to =y but the
kconfig help says:  If unsure, say N here.  Like:

CONFIG_NETLABEL=y
CONFIG_NETWORK_SECMARK=y
CONFIG_KEYS=y
CONFIG_SECURITY=y
CONFIG_SECURITY_NETWORK=y
CONFIG_SECURITY_SELINUX=y

Maybe I just don't understand the current meaning/usage of defconfig.  eh?

Thanks,
~Randy